package typeManage

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type GameChannelRouter struct{}

func (g *GameChannelRouter) InitGameChannelRouter(Router *gin.RouterGroup) {
	gameChannelRouter := Router.Group("gameChannel")
	gameChannelApi := v1.ApiGroupApp.TypeApiGroup.GameChannelApi
	{
		gameChannelRouter.POST("createGameChannel",gameChannelApi.CreateGameChannel)          // 增加游戏厂商
		gameChannelRouter.POST("deleteGameChannel",gameChannelApi.DeleteGameChannel)          // 删除单个游戏厂商
		gameChannelRouter.POST("updateGameChannel",gameChannelApi.UpdateGameChannel)          // 更新厂商信息
		gameChannelRouter.DELETE("deleteGameChannelsByIds", gameChannelApi.DeleteGameChannelsByIds)		//批量删除
		gameChannelRouter.POST("getGameChannelList",gameChannelApi.GameChannelList)          // 查询所有游戏厂商
		gameChannelRouter.POST("getGameChannelById", gameChannelApi.GetGameChannelById) 		//获取单条厂商信息

	}
}
